#https://github.com/rgc99/irrigation_unlimited
controllers:
  zones:
    - name: "Rosiers"
      entity_id: "switch.rosier_1"
      duration: "00:03:00"
    - name: "Terrasse"
      entity_id: "switch.terrasse_2"
      duration: "00:02:00"
    - name: "Vigne"
      entity_id: "switch.vigne_3"
      duration: "00:05:00"
  sequences:
    - name: "hiver"
      duration: "00:02"
      delay: "00:01"
      schedules:
        - time: "06:30"
          weekday: [mon, tue, wed, thu, fri, sat, sun]
          month: [dec, jan, feb]
      zones:
        - zone_id: 1
        - zone_id: 2
        - zone_id: 3
    - name: "Eté"
      duration: "00:02"
      delay: "00:01"
      schedules:
        - time: "06:30"
          weekday: [mon, tue, wed, thu, fri, sat, sun]
          month: [jun, jul, aug]
      zones:
        - zone_id: 1
        - zone_id: 2
        - zone_id: 3
    - name: "Printemp & Automne"
      duration: "00:02"
      delay: "00:01"
      schedules:
        - time: "06:30"
          weekday: [mon, tue, wed, thu, fri, sat, sun]
          month: [mar, apr, may, sep, oct, nov]
      zones:
        - zone_id: 3
        - zone_id: 2
        - zone_id: 1

    - name: "Soirée"
      duration: "00:02"
      delay: "00:01"
      schedules:
        - time: "20:30"
          weekday: [mon, tue, wed, thu, fri, sat, sun]
          month: [jun, jul, aug]
      zones:
        - zone_id: 3
        - zone_id: 2
        - zone_id: 1
